const ProgressBar = ({ fill }: { fill?: string }) => (
  <svg
    width="75"
    height="74"
    viewBox="0 0 75 74"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <mask id="path-1-inside-1_755_2304" fill="white">
      <path d="M19.3424 63.9434C18.4646 65.1517 16.7659 65.427 15.6268 64.4611C10.5359 60.1442 6.72882 54.4854 4.65528 48.1037C2.30241 40.8623 2.30241 33.0619 4.65528 25.8205C7.00814 18.5792 11.5931 12.2685 17.753 7.7931C23.9129 3.31767 31.3315 0.907226 38.9455 0.907227C46.5595 0.907227 53.9781 3.31767 60.138 7.7931C66.2979 12.2685 70.8829 18.5792 73.2357 25.8205C75.5886 33.0619 75.5886 40.8623 73.2357 48.1037C71.1622 54.4854 67.3551 60.1442 62.2642 64.4611C61.1251 65.427 59.4264 65.1517 58.5486 63.9434C57.6708 62.7352 57.9479 61.0527 59.074 60.0719C63.2471 56.4372 66.3717 51.7276 68.0922 46.4324C70.0921 40.2773 70.0921 33.6469 68.0922 27.4918C66.0923 21.3366 62.1951 15.9726 56.9592 12.1684C51.7232 8.36434 45.4174 6.31546 38.9455 6.31546C32.4736 6.31546 26.1678 8.36434 20.9319 12.1684C15.6959 15.9726 11.7987 21.3366 9.79881 27.4918C7.79887 33.6469 7.79887 40.2773 9.79881 46.4324C11.5193 51.7276 14.6439 56.4372 18.817 60.0719C19.9432 61.0527 20.2202 62.7352 19.3424 63.9434Z" />
    </mask>
    <path
      d="M19.3424 63.9434C18.4646 65.1517 16.7659 65.427 15.6268 64.4611C10.5359 60.1442 6.72882 54.4854 4.65528 48.1037C2.30241 40.8623 2.30241 33.0619 4.65528 25.8205C7.00814 18.5792 11.5931 12.2685 17.753 7.7931C23.9129 3.31767 31.3315 0.907226 38.9455 0.907227C46.5595 0.907227 53.9781 3.31767 60.138 7.7931C66.2979 12.2685 70.8829 18.5792 73.2357 25.8205C75.5886 33.0619 75.5886 40.8623 73.2357 48.1037C71.1622 54.4854 67.3551 60.1442 62.2642 64.4611C61.1251 65.427 59.4264 65.1517 58.5486 63.9434C57.6708 62.7352 57.9479 61.0527 59.074 60.0719C63.2471 56.4372 66.3717 51.7276 68.0922 46.4324C70.0921 40.2773 70.0921 33.6469 68.0922 27.4918C66.0923 21.3366 62.1951 15.9726 56.9592 12.1684C51.7232 8.36434 45.4174 6.31546 38.9455 6.31546C32.4736 6.31546 26.1678 8.36434 20.9319 12.1684C15.6959 15.9726 11.7987 21.3366 9.79881 27.4918C7.79887 33.6469 7.79887 40.2773 9.79881 46.4324C11.5193 51.7276 14.6439 56.4372 18.817 60.0719C19.9432 61.0527 20.2202 62.7352 19.3424 63.9434Z"
      fill="white"
      stroke="black"
      stroke-opacity="0.29"
      stroke-width="2"
      mask="url(#path-1-inside-1_755_2304)"
    />
    <path
      d="M23.2791 35.8691V34.0964L27.4212 30.2612C27.7734 29.9203 28.0689 29.6135 28.3075 29.3407C28.55 29.068 28.7337 28.801 28.8587 28.5396C28.9837 28.2744 29.0462 27.9885 29.0462 27.6816C29.0462 27.3407 28.9685 27.0472 28.8132 26.801C28.6579 26.551 28.4458 26.3597 28.1768 26.2271C27.9079 26.0907 27.603 26.0225 27.2621 26.0225C26.906 26.0225 26.5954 26.0945 26.3303 26.2385C26.0651 26.3824 25.8606 26.5888 25.7166 26.8578C25.5727 27.1267 25.5007 27.4468 25.5007 27.818H23.1655C23.1655 27.0566 23.3378 26.3957 23.6825 25.835C24.0272 25.2744 24.5102 24.8407 25.1314 24.5339C25.7526 24.2271 26.4685 24.0737 27.2791 24.0737C28.1125 24.0737 28.8378 24.2214 29.4553 24.5169C30.0765 24.8085 30.5594 25.2138 30.9041 25.7328C31.2488 26.2517 31.4212 26.8464 31.4212 27.5169C31.4212 27.9563 31.334 28.39 31.1598 28.818C30.9893 29.246 30.6844 29.7214 30.245 30.2441C29.8056 30.7631 29.1863 31.3862 28.3871 32.1135L26.6882 33.7782V33.8578H31.5746V35.8691H23.2791ZM37.9197 36.1248C36.9425 36.121 36.1016 35.8805 35.397 35.4032C34.6963 34.926 34.1565 34.2347 33.7777 33.3294C33.4027 32.4241 33.2171 31.335 33.2209 30.0623C33.2209 28.7934 33.4084 27.7119 33.7834 26.818C34.1622 25.9241 34.7019 25.2441 35.4027 24.7782C36.1072 24.3085 36.9463 24.0737 37.9197 24.0737C38.8932 24.0737 39.7304 24.3085 40.4311 24.7782C41.1357 25.2479 41.6773 25.9297 42.0561 26.8237C42.4349 27.7138 42.6224 28.7934 42.6186 30.0623C42.6186 31.3388 42.4292 32.4297 42.0504 33.335C41.6754 34.2404 41.1375 34.9316 40.4368 35.4089C39.736 35.8862 38.897 36.1248 37.9197 36.1248ZM37.9197 34.085C38.5864 34.085 39.1186 33.7498 39.5163 33.0794C39.9141 32.4089 40.111 31.4032 40.1072 30.0623C40.1072 29.1797 40.0163 28.4449 39.8345 27.8578C39.6565 27.2707 39.4027 26.8294 39.0732 26.5339C38.7474 26.2385 38.3629 26.0907 37.9197 26.0907C37.2569 26.0907 36.7266 26.4222 36.3288 27.085C35.9311 27.7479 35.7304 28.7404 35.7266 30.0623C35.7266 30.9563 35.8156 31.7025 35.9936 32.301C36.1754 32.8957 36.4311 33.3426 36.7607 33.6419C37.0902 33.9373 37.4766 34.085 37.9197 34.085ZM50.7422 33.6873V33.0737C50.7422 32.6078 50.8407 32.1797 51.0376 31.7896C51.2384 31.3957 51.5282 31.0813 51.907 30.8464C52.2895 30.6078 52.7554 30.4885 53.3047 30.4885C53.8615 30.4885 54.3293 30.6059 54.7081 30.8407C55.0907 31.0756 55.3786 31.39 55.5717 31.7839C55.7687 32.1741 55.8672 32.604 55.8672 33.0737V33.6873C55.8672 34.1532 55.7687 34.5832 55.5717 34.9771C55.3748 35.3672 55.085 35.6797 54.7024 35.9146C54.3198 36.1532 53.8539 36.2725 53.3047 36.2725C52.7479 36.2725 52.2801 36.1532 51.9013 35.9146C51.5225 35.6797 51.2346 35.3672 51.0376 34.9771C50.8407 34.5832 50.7422 34.1532 50.7422 33.6873ZM52.3956 33.0737V33.6873C52.3956 33.9563 52.46 34.21 52.5888 34.4487C52.7214 34.6873 52.96 34.8066 53.3047 34.8066C53.6494 34.8066 53.8842 34.6892 54.0092 34.4544C54.138 34.2195 54.2024 33.9638 54.2024 33.6873V33.0737C54.2024 32.7972 54.1418 32.5396 54.0206 32.301C53.8994 32.0623 53.6607 31.943 53.3047 31.943C52.9638 31.943 52.727 32.0623 52.5945 32.301C52.4619 32.5396 52.3956 32.7972 52.3956 33.0737ZM44.7706 27.0282V26.4146C44.7706 25.9449 44.871 25.515 45.0717 25.1248C45.2725 24.7309 45.5623 24.4165 45.9411 24.1816C46.3236 23.9468 46.7857 23.8294 47.3274 23.8294C47.888 23.8294 48.3577 23.9468 48.7365 24.1816C49.1153 24.4165 49.4032 24.7309 49.6001 25.1248C49.7971 25.515 49.8956 25.9449 49.8956 26.4146V27.0282C49.8956 27.4979 49.7952 27.9279 49.5945 28.318C49.3975 28.7082 49.1077 29.0207 48.7251 29.2555C48.3464 29.4866 47.8804 29.6021 47.3274 29.6021C46.7744 29.6021 46.3066 29.4847 45.924 29.2498C45.5452 29.0112 45.2573 28.6987 45.0604 28.3123C44.8672 27.9222 44.7706 27.4941 44.7706 27.0282ZM46.4354 26.4146V27.0282C46.4354 27.3047 46.4998 27.5604 46.6286 27.7953C46.7611 28.0301 46.9941 28.1475 47.3274 28.1475C47.6759 28.1475 47.9126 28.0301 48.0376 27.7953C48.1664 27.5604 48.2308 27.3047 48.2308 27.0282V26.4146C48.2308 26.1381 48.1702 25.8805 48.049 25.6419C47.9278 25.4032 47.6873 25.2839 47.3274 25.2839C46.9903 25.2839 46.7573 25.4051 46.6286 25.6475C46.4998 25.89 46.4354 26.1457 46.4354 26.4146ZM45.5206 35.8691L53.5206 24.2328H55.0092L47.0092 35.8691H45.5206ZM34.8888 38.7782H35.6594V42.1266C35.6594 42.4829 35.5757 42.7986 35.4083 43.0737C35.2409 43.3471 35.0056 43.5626 34.7023 43.72C34.3991 43.8758 34.0436 43.9537 33.6359 43.9537C33.2299 43.9537 32.8753 43.8758 32.572 43.72C32.2687 43.5626 32.0334 43.3471 31.866 43.0737C31.6987 42.7986 31.615 42.4829 31.615 42.1266V38.7782H32.3831V42.0645C32.3831 42.2948 32.4336 42.4995 32.5347 42.6784C32.6375 42.8574 32.7825 42.9983 32.9697 43.101C33.157 43.2021 33.3791 43.2527 33.6359 43.2527C33.8944 43.2527 34.1173 43.2021 34.3046 43.101C34.4935 42.9983 34.6377 42.8574 34.7371 42.6784C34.8382 42.4995 34.8888 42.2948 34.8888 42.0645V38.7782ZM39.5776 40.9831L38.9039 41.1025C38.8758 41.0163 38.831 40.9342 38.7697 40.8564C38.71 40.7785 38.6288 40.7147 38.5261 40.665C38.4234 40.6152 38.2949 40.5904 38.1408 40.5904C37.9303 40.5904 37.7547 40.6376 37.6138 40.7321C37.473 40.8249 37.4025 40.945 37.4025 41.0925C37.4025 41.2201 37.4498 41.3229 37.5442 41.4007C37.6387 41.4786 37.7911 41.5424 38.0016 41.5922L38.6081 41.7314C38.9595 41.8126 39.2213 41.9377 39.3936 42.1067C39.566 42.2757 39.6522 42.4953 39.6522 42.7654C39.6522 42.9941 39.5859 43.198 39.4533 43.377C39.3224 43.5543 39.1393 43.6935 38.9039 43.7946C38.6703 43.8957 38.3993 43.9462 38.0911 43.9462C37.6635 43.9462 37.3147 43.8551 37.0446 43.6728C36.7744 43.4888 36.6087 43.2278 36.5474 42.8897L37.2658 42.7804C37.3105 42.9676 37.4025 43.1093 37.5417 43.2054C37.6809 43.2999 37.8624 43.3471 38.0861 43.3471C38.3297 43.3471 38.5244 43.2966 38.6703 43.1955C38.8161 43.0927 38.889 42.9676 38.889 42.8201C38.889 42.7008 38.8443 42.6006 38.7548 42.5194C38.667 42.4382 38.5319 42.3768 38.3496 42.3354L37.7033 42.1937C37.347 42.1125 37.0835 41.9833 36.9128 41.8059C36.7438 41.6286 36.6593 41.4041 36.6593 41.1323C36.6593 40.9069 36.7222 40.7097 36.8482 40.5407C36.9741 40.3716 37.1481 40.2399 37.3702 40.1454C37.5923 40.0493 37.8467 40.0012 38.1333 40.0012C38.546 40.0012 38.8708 40.0907 39.1078 40.2697C39.3448 40.447 39.5014 40.6848 39.5776 40.9831ZM42.115 43.9462C41.7388 43.9462 41.4148 43.8658 41.143 43.7051C40.8729 43.5427 40.6641 43.3148 40.5166 43.0215C40.3708 42.7265 40.2979 42.381 40.2979 41.9849C40.2979 41.5938 40.3708 41.2491 40.5166 40.9508C40.6641 40.6525 40.8696 40.4197 41.1331 40.2523C41.3982 40.0849 41.7081 40.0012 42.0628 40.0012C42.2782 40.0012 42.487 40.0369 42.6892 40.1081C42.8914 40.1794 43.0728 40.2913 43.2336 40.4437C43.3943 40.5962 43.5211 40.7942 43.6139 41.0378C43.7067 41.2798 43.7531 41.5739 43.7531 41.9203V42.1838H40.718V41.627H43.0248C43.0248 41.4314 42.985 41.2582 42.9055 41.1074C42.8259 40.955 42.714 40.8348 42.5699 40.747C42.4273 40.6592 42.26 40.6152 42.0677 40.6152C41.8589 40.6152 41.6766 40.6666 41.5209 40.7694C41.3667 40.8704 41.2474 41.003 41.1629 41.1671C41.08 41.3295 41.0386 41.506 41.0386 41.6966V42.1316C41.0386 42.3868 41.0834 42.6039 41.1729 42.7828C41.264 42.9618 41.3908 43.0985 41.5532 43.193C41.7156 43.2858 41.9053 43.3322 42.1224 43.3322C42.2633 43.3322 42.3917 43.3123 42.5077 43.2725C42.6237 43.2311 42.724 43.1698 42.8085 43.0886C42.893 43.0074 42.9577 42.9071 43.0024 42.7878L43.7059 42.9146C43.6495 43.1217 43.5484 43.3032 43.4026 43.459C43.2584 43.6131 43.077 43.7333 42.8582 43.8194C42.6411 43.9039 42.3934 43.9462 42.115 43.9462ZM46.0071 43.9437C45.6989 43.9437 45.4238 43.865 45.1818 43.7076C44.9415 43.5485 44.7526 43.3223 44.6151 43.0289C44.4792 42.734 44.4112 42.3801 44.4112 41.9675C44.4112 41.5549 44.48 41.2019 44.6175 40.9086C44.7567 40.6152 44.9473 40.3907 45.1893 40.2349C45.4312 40.0791 45.7055 40.0012 46.0121 40.0012C46.2491 40.0012 46.4396 40.041 46.5838 40.1206C46.7296 40.1984 46.8423 40.2896 46.9219 40.394C47.0031 40.4984 47.0661 40.5904 47.1108 40.6699H47.1555V38.7782H47.8988V43.8691H47.1729V43.275H47.1108C47.0661 43.3562 47.0014 43.449 46.9169 43.5534C46.834 43.6578 46.7197 43.749 46.5739 43.8269C46.428 43.9048 46.2391 43.9437 46.0071 43.9437ZM46.1712 43.3098C46.3849 43.3098 46.5656 43.2535 46.7131 43.1408C46.8622 43.0265 46.9749 42.8682 47.0511 42.666C47.129 42.4638 47.168 42.2285 47.168 41.96C47.168 41.6949 47.1299 41.4629 47.0536 41.264C46.9774 41.0652 46.8655 40.9102 46.718 40.7992C46.5705 40.6882 46.3883 40.6326 46.1712 40.6326C45.9474 40.6326 45.761 40.6906 45.6119 40.8066C45.4627 40.9226 45.35 41.0809 45.2738 41.2814C45.1992 41.4819 45.1619 41.7082 45.1619 41.96C45.1619 42.2153 45.2 42.4448 45.2763 42.6486C45.3525 42.8525 45.4652 43.014 45.6143 43.1333C45.7652 43.251 45.9508 43.3098 46.1712 43.3098Z"
      fill="white"
    />
    <rect x="29.5" y="53.5" width="19" height="19" rx="9.5" fill="white" />
    <rect
      x="29.5"
      y="53.5"
      width="19"
      height="19"
      rx="9.5"
      stroke="white"
      stroke-linecap="round"
    />
    <path
      d="M40.2487 67.4793H37.7487C35.4862 67.4793 34.5195 66.5127 34.5195 64.2502V61.7502C34.5195 59.4877 35.4862 58.521 37.7487 58.521H40.2487C42.5112 58.521 43.4779 59.4877 43.4779 61.7502V64.2502C43.4779 66.5127 42.5112 67.4793 40.2487 67.4793ZM37.7487 59.146C35.8279 59.146 35.1445 59.8293 35.1445 61.7502V64.2502C35.1445 66.171 35.8279 66.8543 37.7487 66.8543H40.2487C42.1695 66.8543 42.8529 66.171 42.8529 64.2502V61.7502C42.8529 59.8293 42.1695 59.146 40.2487 59.146H37.7487Z"
      fill="#F47500"
    />
    <path
      d="M38.2422 65.4585C38.163 65.4585 38.0839 65.4293 38.0214 65.3668L36.7547 64.1002C36.6339 63.9793 36.6339 63.7793 36.7547 63.6585C36.8755 63.5377 37.0755 63.5377 37.1964 63.6585L38.463 64.9252C38.5839 65.046 38.5839 65.246 38.463 65.3668C38.4047 65.4293 38.3255 65.4585 38.2422 65.4585Z"
      fill="#F47500"
    />
    <path
      d="M38.2422 65.4582C38.0714 65.4582 37.9297 65.3165 37.9297 65.1457V60.854C37.9297 60.6832 38.0714 60.5415 38.2422 60.5415C38.413 60.5415 38.5547 60.6832 38.5547 60.854V65.1498C38.5547 65.3207 38.4172 65.4582 38.2422 65.4582Z"
      fill="#F47500"
    />
    <path
      d="M41.0254 62.4331C40.9462 62.4331 40.8671 62.4039 40.8046 62.3414L39.5379 61.0748C39.4171 60.9539 39.4171 60.7539 39.5379 60.6331C39.6587 60.5123 39.8587 60.5123 39.9796 60.6331L41.2462 61.8998C41.3671 62.0206 41.3671 62.2206 41.2462 62.3414C41.1837 62.3998 41.1046 62.4331 41.0254 62.4331Z"
      fill="#F47500"
    />
    <path
      d="M39.7578 65.4582C39.587 65.4582 39.4453 65.3165 39.4453 65.1457V60.854C39.4453 60.6832 39.587 60.5415 39.7578 60.5415C39.9286 60.5415 40.0703 60.6832 40.0703 60.854V65.1498C40.0703 65.3207 39.9286 65.4582 39.7578 65.4582Z"
      fill="#F47500"
    />
    <g filter="url(#filter0_d_755_2304)">
      <mask id="path-9-inside-2_755_2304" fill="white">
        <path d="M19.4435 63.6192C18.8024 64.4904 17.5724 64.6809 16.7378 63.9929C11.4484 59.6321 7.51858 53.8267 5.44116 47.2648C3.36375 40.7028 3.23663 33.6935 5.05279 27.0833C5.33936 26.0402 6.45484 25.4882 7.48054 25.8317C8.50623 26.1752 9.05302 27.2839 8.77354 28.3289C7.21643 34.1509 7.34843 40.3111 9.17556 46.0825C11.0027 51.8539 14.4399 56.9677 19.0638 60.8329C19.8938 61.5267 20.0847 62.7481 19.4435 63.6192Z" />
      </mask>
      <path
        d="M19.4435 63.6192C18.8024 64.4904 17.5724 64.6809 16.7378 63.9929C11.4484 59.6321 7.51858 53.8267 5.44116 47.2648C3.36375 40.7028 3.23663 33.6935 5.05279 27.0833C5.33936 26.0402 6.45484 25.4882 7.48054 25.8317C8.50623 26.1752 9.05302 27.2839 8.77354 28.3289C7.21643 34.1509 7.34843 40.3111 9.17556 46.0825C11.0027 51.8539 14.4399 56.9677 19.0638 60.8329C19.8938 61.5267 20.0847 62.7481 19.4435 63.6192Z"
        fill="#F47500"
      />
      <path
        d="M19.4435 63.6192C18.8024 64.4904 17.5724 64.6809 16.7378 63.9929C11.4484 59.6321 7.51858 53.8267 5.44116 47.2648C3.36375 40.7028 3.23663 33.6935 5.05279 27.0833C5.33936 26.0402 6.45484 25.4882 7.48054 25.8317C8.50623 26.1752 9.05302 27.2839 8.77354 28.3289C7.21643 34.1509 7.34843 40.3111 9.17556 46.0825C11.0027 51.8539 14.4399 56.9677 19.0638 60.8329C19.8938 61.5267 20.0847 62.7481 19.4435 63.6192Z"
        stroke="white"
        mask="url(#path-9-inside-2_755_2304)"
      />
    </g>
    <g filter="url(#filter1_d_755_2304)">
      <circle cx="6.45122" cy="28.5054" r="4.45122" fill="#F47500" />
      <circle
        cx="6.45122"
        cy="28.5054"
        r="4.20122"
        stroke="white"
        stroke-width="0.5"
      />
    </g>
    <defs>
      <filter
        id="filter0_d_755_2304"
        x="2.28125"
        y="25.23"
        width="19.0449"
        height="41.6797"
        filterUnits="userSpaceOnUse"
        color-interpolation-filters="sRGB"
      >
        <feFlood flood-opacity="0" result="BackgroundImageFix" />
        <feColorMatrix
          in="SourceAlpha"
          type="matrix"
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          result="hardAlpha"
        />
        <feOffset dy="1" />
        <feGaussianBlur stdDeviation="0.75" />
        <feComposite in2="hardAlpha" operator="out" />
        <feColorMatrix
          type="matrix"
          values="0 0 0 0 0.955421 0 0 0 0 0.458602 0 0 0 0 0 0 0 0 0.33 0"
        />
        <feBlend
          mode="normal"
          in2="BackgroundImageFix"
          result="effect1_dropShadow_755_2304"
        />
        <feBlend
          mode="normal"
          in="SourceGraphic"
          in2="effect1_dropShadow_755_2304"
          result="shape"
        />
      </filter>
      <filter
        id="filter1_d_755_2304"
        x="0.5"
        y="23.5542"
        width="11.9023"
        height="11.9023"
        filterUnits="userSpaceOnUse"
        color-interpolation-filters="sRGB"
      >
        <feFlood flood-opacity="0" result="BackgroundImageFix" />
        <feColorMatrix
          in="SourceAlpha"
          type="matrix"
          values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
          result="hardAlpha"
        />
        <feOffset dy="1" />
        <feGaussianBlur stdDeviation="0.75" />
        <feComposite in2="hardAlpha" operator="out" />
        <feColorMatrix
          type="matrix"
          values="0 0 0 0 0.955421 0 0 0 0 0.458602 0 0 0 0 0 0 0 0 0.33 0"
        />
        <feBlend
          mode="normal"
          in2="BackgroundImageFix"
          result="effect1_dropShadow_755_2304"
        />
        <feBlend
          mode="normal"
          in="SourceGraphic"
          in2="effect1_dropShadow_755_2304"
          result="shape"
        />
      </filter>
    </defs>
  </svg>
);
export default ProgressBar;
